#!/usr/bin/env python
# TurnGen: a household chores turn generator
# Copyright (C) 2006 Angelo "Encelo" Theodorou

from Turngen import conf, db

config_file = 'config.py'
conf = conf.Config(config_file)

db = db.Database('test.db', conf)

print
print 'Angelo (' + str(db.get_user_id('Angelo')) + ')'
print 'Piatti (' + str(db.get_activity_id('Piatti')) + ')'
print
print 'User 3: ' + str(db.get_user_name(3))
print 'Activity 1: ' + str(db.get_activity_name(1))

print
print 'Does the user 3 exist?: ' + str(db.valid_user_id(3))
print 'Does the activity 2 exist?: ' + str(db.valid_activity_id(3))
print 'Is the [1,2,3] presence list valid?: ' + str(db.valid_presence([1,2,3]))
print 'Is the [1,3,4] presence list valid?: ' + str(db.valid_presence([1,3,4]))

db.insert_data([0,1,2], 0, 1)
db.insert_data([0,1,2], 1, 1)
db.insert_data([0,1,2], 1, 1)
db.insert_data([0,1,2], 2, 1)
db.insert_data([0,1,2], 1, 1)
db.insert_data([0,1,2], 1, 1)
db.insert_data([0,1,2], 2, 1)

print
db.print_table('data')

print
print 'Laziest ([0-1-2], 1): ' + str(db.get_laziest_user_id([0,1,2], 1))
