#!/usr/bin/env python
##
## TurnGen: a household chores turn generator
## Copyright (C) 2006 Angelo "Encelo" Theodorou
##

#from TurnGen import conf, db, menu
from TurnGen import conf, db, gui
import locale, gettext, gtk

config_file = 'config.py'
glade_file = 'turngen.glade'
locale_dir = 'po'

locale.setlocale(locale.LC_ALL, '')
gtk.glade.bindtextdomain('turngen', locale_dir)
gtk.glade.textdomain('turngen')
gettext.install('turngen', locale_dir, unicode=1)

conf = conf.Config(config_file)
db = db.Database(conf['Database'], conf)
#menu = menu.Menu(db)
gui = gui.Gui(glade_file, db)
gui.run()
